import React, { Component } from "react";
declare class ModalBackdrop extends Component<{
    visible?: boolean;
    zIndex?: number;
    onClose: Function;
} & JSX.IntrinsicElements["div"], {}> {
    static defaultProps: {
        visible: boolean;
        zIndex: number;
        onClose: () => void;
    };
    state: {
        mounted: boolean;
    };
    componentDidMount(): void;
    componentWillUnmount(): void;
    private keyboardListener;
    private clickAnywhereToDismiss;
    private close;
    render(): React.ReactPortal;
}
export { ModalBackdrop };
